<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.hibernate.*"%>
<%@ page import="org.hibernate.criterion.*"%>
<%@ page import="util.HibernateUtil"%>
<%@ page import="com.tistory.antop.model.Zipcode"%>
<%@ page import="java.util.List"%>
<%@ page import="util.Pagination"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<script type="text/javascript">
	function goTo(page) {
		document.forms[0].page.value = page;
		document.forms[0].submit();
	}
</script>
</head>
<body>

<%
	request.setCharacterEncoding("utf-8");

	String dong = request.getParameter("dong"); // 검색어 동
	if (dong == null) {
		dong = "";
	}

	int ipage = 1; // 페이지 번호
	try {
		ipage = Integer.parseInt(request.getParameter("page"));
	} catch (NumberFormatException ignore) {
	}
%>

<h3>우편번호 검색</h3>

<form method="post"><input type="hidden" name="page" /> 동으로 검색:
<input type="text" name="dong" size="10" value="<%=dong%>" /> <input
	type="submit" value="검색" /></form>

<table cellpadding="5" cellspacing="0" border="1">
	<tr>
		<th>우편번호</th>
		<th>주소</th>
	</tr>
	<%
		Session sess = HibernateUtil.getCurrentSession();
		Transaction tx = sess.beginTransaction();
		Criteria crit = null;
		Pagination paging = null;

		try {
			int totalRow = (Integer) sess.createCriteria(Zipcode.class)
					.add(
							Restrictions.like("dong", dong,
									MatchMode.ANYWHERE)).setProjection(
							Projections.rowCount()).list().get(0);

			paging = new Pagination(ipage, totalRow);

			crit = sess.createCriteria(Zipcode.class);
			crit.setFirstResult(paging.getStartRow()); // 시작 로우 번호
			crit.setMaxResults(paging.getRowSize()); // 시작 로우 라인 번호로 부터 몇개?!

			if (dong.trim().equals("") == false) {
				crit.add(Restrictions
						.like("dong", dong, MatchMode.ANYWHERE));
			}

			List<Zipcode> list = crit.list();

			int size = list.size();
			for (int i = 0; i < size; i++) {
				Zipcode z = list.get(i);
	%>
	<tr>
		<td align="center"><%=z.getZipcode()%></td>
		<td><%=z.getSido() + " " + z.getGugun() + " "
									+ z.getDong() + " " + z.getRi() + " "
									+ z.getBldg()%></td>
	</tr>
	<%
		}

			tx.commit();

		} catch (HibernateException e) {
			tx.rollback();
			e.printStackTrace();
		}

		HibernateUtil.closeSession();
	%>
</table>

<%=paging.toHTML()%>

</body>
</html>